<?php

namespace App\Filament\Admin\Resources\ShippingEntryResource\Pages;

use App\Enums\IconEnum;
use App\Filament\Admin\Resources\ShippingEntryResource;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;

class ListShippingEntries extends ListRecords
{
    protected static string $resource = ShippingEntryResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make()
                ->icon(IconEnum::NEW->value),
        ];
    }
}
